'use strict';

/**@type {{[k: string]: string}} */
let BattleAliases = {
	// formats
	"randbats": "[Gen 7] Random Battle",
	"uber": "[Gen 7] Ubers",
	"ag": "[Gen 7] Anything Goes",
	"randdubs": "[Gen 7] Random Doubles Battle",
	"doubles": "[Gen 7] Doubles OU",
	"dou": "[Gen 7] Doubles OU",
	"vgc17": "[Gen 7] VGC 2017",
	"vgc": "[Gen 7] VGC 2017",
	"bss": "[Gen 7] Battle Spot Singles",
	"bsd": "[Gen 7] Battle Spot Doubles",
	"bsdoubles": "[Gen 7] Battle Spot Doubles",
	"bstriples": "[Gen 6] Battle Spot Triples",
	"bssf": "[Gen 7] BSS Factory",
	"bh": "[Gen 7] Balanced Hackmons",
	"mnm": "[Gen 7] Mix and Mega",
	"aaa": "[Gen 7] Almost Any Ability",
	"2v2": "[Gen 7] 2v2 Doubles",
	"cc1v1": "[Gen 7] Challenge Cup 1v1",
	"cc2v2": "[Gen 7] Challenge Cup 2v2",
	"hc": "[Gen 7] Hackmons Cup",
	"monorandom": "[Gen 7] Monotype Random Battle",
	"bf": "[Gen 7] Battle Factory",
	"gen6bf": "[Gen 6] Battle Factory",

	// mega evos
	"fabio": "Ampharos-Mega",
	"maero": "Aerodactyl-Mega",
	"megaaero": "Aerodactyl-Mega",
	"megabee": "Beedrill-Mega",
	"megabunny": "Lopunny-Mega",
	"megabro": "Slowbro-Mega",
	"megacharizard": "Charizard-Mega-Y",
	"megacharizardx": "Charizard-Mega-X",
	"megacharizardy": "Charizard-Mega-Y",
	"megadoom": "Houndoom-Mega",
	"megadrill": "Beedrill-Mega",
	"megagard": "Gardevoir-Mega",
	"megagarde": "Gardevoir-Mega",
	"megacross": "Heracross-Mega",
	"megahera": "Heracross-Mega",
	"megakanga": "Kangaskhan-Mega",
	"megakhan": "Kangaskhan-Mega",
	"megalop": "Lopunny-Mega",
	"megaluc": "Lucario-Mega",
	"megaluke": "Lucario-Mega",
	"megamaw": "Mawile-Mega",
	"megamedi": "Medicham-Mega",
	"megagross": "Metagross-Mega",
	"megamewtwo": "Mewtwo-Mega-Y",
	"megamewtwox": "Mewtwo-Mega-X",
	"megamewtwoy": "Mewtwo-Mega-Y",
	"megaobama": "Abomasnow-Mega",
	"megaray": "Rayquaza-Mega",
	"megasab": "Sableye-Mega",
	"megasable": "Sableye-Mega",
	"megasnow": "Abomasnow-Mega",
	"megamence": "Salamence-Mega",
	"megascept": "Sceptile-Mega",
	"megashark": "Sharpedo-Mega",
	"megapert": "Swampert-Mega",
	"megattar": "Tyranitar-Mega",
	"megavenu": "Venusaur-Mega",
	"megasaur": "Venusaur-Mega",
	"megazam": "Alakazam-Mega",
	"megazardx": "Charizard-Mega-X",
	"megazardy": "Charizard-Mega-y",
	"mgar": "Gengar-Mega",
	"mgross": "Metagross-Mega",
	"mmx": "Mewtwo-Mega-X",
	"mmy": "Mewtwo-Mega-Y",
	"mray": "Rayquaza-Mega",
	"mzor": "Scizor-Mega",
	"zardx": "Charizard-Mega-X",
	"zardy": "Charizard-Mega-y",

	// primal reversions
	"primaldon": "Groudon-Primal",
	"pdon": "Groudon-Primal",
	"primalogre": "Kyogre-Primal",
	"pogre": "Kyogre-Primal",

	// alolan formes
	"rattataa": "Rattata-Alola",
	"alolanrattata": "Rattata-Alola",
	"raticatea": "Raticate-Alola",
	"alolanraticate": "Raticate-Alola",
	"raichua": "Raichu-Alola",
	"alolanraichu": "Raichu-Alola",
	"sandshrewa": "Sandshrew-Alola",
	"alolansandshrew": "Sandshrew-Alola",
	"sandslasha": "Sandslash-Alola",
	"alolansandslash": "Sandslash-Alola",
	"vulpixa": "Vulpix-Alola",
	"alolanvulpix": "Vulpix-Alola",
	"ninetalesa": "Ninetales-Alola",
	"alolanninetales": "Ninetales-Alola",
	"digletta": "Diglett-Alola",
	"alolandiglett": "Diglett-Alola",
	"dugtrioa": "Dugtrio-Alola",
	"alolandugtrio": "Dugtrio-Alola",
	"meowtha": "Meowth-Alola",
	"alolanmeowth": "Meowth-Alola",
	"persiana": "Persian-Alola",
	"alolanpersian": "Persian-Alola",
	"geodudea": "Geodude-Alola",
	"alolangeodude": "Geodude-Alola",
	"gravelera": "Graveler-Alola",
	"alolangraveler": "Graveler-Alola",
	"golema": "Golem-Alola",
	"alolangolem": "Golem-Alola",
	"grimera": "Grimer-Alola",
	"alolangrimer": "Grimer-Alola",
	"muka": "Muk-Alola",
	"alolanmuk": "Muk-Alola",
	"exeggutora": "Exeggutor-Alola",
	"alolanexeggutor": "Exeggutor-Alola",
	"marowaka": "Marowak-Alola",
	"alolanmarowak": "Marowak-Alola",

	// Pokéstar Studios
	"blackdoor": "Pokestar Black-Door",
	"brycen": "Brycen-Man",
	"brycenman": "Pokestar Brycen-Man",
	"f00": "Pokestar F00",
	"f002": "Pokestar F002",
	"giant": "Pokestar Giant",
	"mt": "Pokestar MT",
	"mt2": "Pokestar MT2",
	"majin": "Spirit",
	"mechatyranitar": "MT",
	"mechatyranitar2": "MT2",
	"monica": "Giant",
	"spirit": "Pokestar Spirit",
	"transport": "Pokestar Transport",
	"ufo": "Pokestar UFO",
	"ufo2": "Pokestar UFO-2",
	"whitedoor": "Pokestar White-Door",

	// formes
	"bugceus": "Arceus-Bug",
	"darkceus": "Arceus-Dark",
	"dragonceus": "Arceus-Dragon",
	"eleceus": "Arceus-Electric",
	"fairyceus": "Arceus-Fairy",
	"fightceus": "Arceus-Fighting",
	"fireceus": "Arceus-Fire",
	"flyceus": "Arceus-Flying",
	"ghostceus": "Arceus-Ghost",
	"grassceus": "Arceus-Grass",
	"groundceus": "Arceus-Ground",
	"iceceus": "Arceus-Ice",
	"poisonceus": "Arceus-Poison",
	"psyceus": "Arceus-Psychic",
	"rockceus": "Arceus-Rock",
	"steelceus": "Arceus-Steel",
	"waterceus": "Arceus-Water",
	"arcbug": "Arceus-Bug",
	"arcdark": "Arceus-Dark",
	"arcdragon": "Arceus-Dragon",
	"arcelectric": "Arceus-Electric",
	"arcfairy": "Arceus-Fairy",
	"arcfighting": "Arceus-Fighting",
	"arcfire": "Arceus-Fire",
	"arcflying": "Arceus-Flying",
	"arcghost": "Arceus-Ghost",
	"arcgrass": "Arceus-Grass",
	"arcground": "Arceus-Ground",
	"arcice": "Arceus-Ice",
	"arcpoison": "Arceus-Poison",
	"arcpsychic": "Arceus-Psychic",
	"arcrock": "Arceus-Rock",
	"arcsteel": "Arceus-Steel",
	"arcwater": "Arceus-Water",
	"basculinb": "Basculin-Blue-Striped",
	"basculinblue": "Basculin-Blue-Striped",
	"basculinbluestripe": "Basculin-Blue-Striped",
	"castformh": "Castform-Snowy",
	"castformice": "Castform-Snowy",
	"castformr": "Castform-Rainy",
	"castformwater": "Castform-Rainy",
	"castforms": "Castform-Sunny",
	"castformfire": "Castform-Sunny",
	"cherrims": "Cherrim-Sunshine",
	"cherrimsunny": "Cherrim-Sunshine",
	"darmanitanz": "Darmanitan-Zen",
	"darmanitanzenmode": "Darmanitan-Zen",
	"deoxysnormal": "Deoxys",
	"deon": "Deoxys",
	"deoxysa": "Deoxys-Attack",
	"deoa": "Deoxys-Attack",
	"deoxysd": "Deoxys-Defense",
	"deoxysdefence": "Deoxys-Defense",
	"deod": "Deoxys-Defense",
	"deoxyss": "Deoxys-Speed",
	"deos": "Deoxys-Speed",
	"eternalfloette": "Floette-Eternal",
	"girao": "Giratina-Origin",
	"giratinao": "Giratina-Origin",
	"gourgeists": "Gourgeist-Small",
	"gourgeistl": "Gourgeist-Large",
	"gourgeistxl": "Gourgeist-Super",
	"gourgeisth": "Gourgeist-Super",
	"gourgeisthuge": "Gourgeist-Super",
	"hoopau": "Hoopa-Unbound",
	"keldeor": "Keldeo-Resolute",
	"keldeoresolution": "Keldeo-Resolute",
	"kyuremb": "Kyurem-Black",
	"kyuremw": "Kyurem-White",
	"landorust": "Landorus-Therian",
	"meloettap": "Meloetta-Pirouette",
	"meloettas": "Meloetta-Pirouette",
	"meloettastep": "Meloetta-Pirouette",
	"meowsticfemale": "Meowstic-F",
	"pumpkaboohuge": "Pumpkaboo-Super",
	"rotomc": "Rotom-Mow",
	"rotomcut": "Rotom-Mow",
	"rotomf": "Rotom-Frost",
	"rotomh": "Rotom-Heat",
	"rotoms": "Rotom-Fan",
	"rotomspin": "Rotom-Fan",
	"rotomw": "Rotom-Wash",
	"shaymins": "Shaymin-Sky",
	"skymin": "Shaymin-Sky",
	"thundurust": "Thundurus-Therian",
	"thundyt": "Thundurus-Therian",
	"tornadust": "Tornadus-Therian",
	"tornt": "Tornadus-Therian",
	"wormadamg": "Wormadam-Sandy",
	"wormadamground": "Wormadam-Sandy",
	"wormadamsandycloak": "Wormadam-Sandy",
	"wormadams": "Wormadam-Trash",
	"wormadamsteel": "Wormadam-Trash",
	"wormadamtrashcloak": "Wormadam-Trash",
	"floettee": "Floette-Eternal",
	"floetteeternalflower": "Floette-Eternal",
	"ashgreninja": "Greninja-Ash",
	"zydog": "Zygarde-10%",
	"zydoge": "Zygarde-10%",
	"zygardedog": "Zygarde-10%",
	"zygarde50": "Zygarde",
	"zyc": "Zygarde-Complete",
	"zygarde100": "Zygarde-Complete",
	"zygardec": "Zygarde-Complete",
	"zygardefull": "Zygarde-Complete",
	"zygod": "Zygarde-Complete",
	"perfectzygarde": "Zygarde-Complete",
	"oricoriob": "Oricorio",
	"oricoriobaile": "Oricorio",
	"oricoriof": "Oricorio",
	"oricoriofire": "Oricorio",
	"oricorioe": "Oricorio-Pom-Pom",
	"oricorioelectric": "Oricorio-Pom-Pom",
	"oricoriog": "Oricorio-Sensu",
	"oricorioghost": "Oricorio-Sensu",
	"oricorios": "Oricorio-Sensu",
	"oricoriop": "Oricorio-Pa'u",
	"oricoriopsychic": "Oricorio-Pa'u",
	"lycanrocmidday": "Lycanroc",
	"lycanrocday": "Lycanroc",
	"lycanrocn": "Lycanroc-Midnight",
	"lycanrocnight": "Lycanroc-Midnight",
	"lycanrocd": "Lycanroc-Dusk",
	"necrozmadm": "Necrozma-Dusk-Mane",
	"necrozmadusk": "Necrozma-Dusk-Mane",
	"duskmane": "Necrozma-Dusk-Mane",
	"duskmanenecrozma": "Necrozma-Dusk-Mane",
	"necrozmadw": "Necrozma-Dawn-Wings",
	"necrozmadawn": "Necrozma-Dawn-Wings",
	"dawnwings": "Necrozma-Dawn-Wings",
	"dawnwingsnecrozma": "Necrozma-Dawn-Wings",
	"necrozmau": "Necrozma-Ultra",
	"ultranecrozma": "Necrozma-Ultra",
	"ufop": "Pokestar UFO-2",
	"ufopsychic": "Pokestar UFO-2",

	// base formes
	"nidoranfemale": "Nidoran-F",
	"nidoranmale": "Nidoran-M",
	"wormadamgrass": "Wormadam",
	"wormadamp": "Wormadam",
	"wormadamplant": "Wormadam",
	"wormadamplantcloak": "Wormadam",
	"cherrimo": "Cherrim",
	"cherrimovercast": "Cherrim",
	"giratinaa": "Giratina",
	"giratinaaltered": "Giratina",
	"shayminl": "Shaymin",
	"shayminland": "Shaymin",
	"basculinr": "Basculin",
	"basculinred": "Basculin",
	"basculinredstripe": "Basculin",
	"basculinredstriped": "Basculin",
	"darmanitans": "Darmanitan",
	"darmanitanstandard": "Darmanitan",
	"darmanitanstandardmode": "Darmanitan",
	"tornadusi": "Tornadus",
	"tornadusincarnate": "Tornadus",
	"tornadusincarnation": "Tornadus",
	"thundurusi": "Thundurus",
	"thundurusincarnate": "Thundurus",
	"thundurusincarnation": "Thundurus",
	"landorusi": "Landorus",
	"landorusincarnate": "Landorus",
	"landorusincarnation": "Landorus",
	"keldeoo": "Keldeo",
	"keldeoordinary": "Keldeo",
	"meloettaa": "Meloetta",
	"meloettaaria": "Meloetta",
	"meloettavoice": "Meloetta",
	"meowsticm": "Meowstic",
	"meowsticmale": "Meowstic",
	"aegislashs": "Aegislash",
	"aegislashshield": "Aegislash",
	"pumpkabooaverage": "Pumpkaboo",
	"gourgeistaverage": "Gourgeist",
	"hoopac": "Hoopa",
	"hoopaconfined": "Hoopa",
	"wishiwashisolo": "Wishiwashi",
	"pokestarufof": "Pokestar UFO",
	"pokestarufoflying": "Pokestar UFO",
	"ufof": "Pokestar UFO",
	"ufoflying": "Pokestar UFO",

	// event formes
	"rockruffdusk": "Rockruff",

	// totem formes
	"raticatet": "Raticate-Alola-Totem",
	"totemalolanraticate": "Raticate-Alola-Totem",
	"totemraticate": "Raticate-Alola-Totem",
	"totemraticatea": "Raticate-Alola-Totem",
	"totemraticatealola": "Raticate-Alola-Totem",
	"marowakt": "Marowak-Alola-Totem",
	"totemalolanmarowak": "Marowak-Alola-Totem",
	"totemmarowak": "Marowak-Alola-Totem",
	"totemmarowaka": "Marowak-Alola-Totem",
	"totemmarowakalola": "Marowak-Alola-Totem",
	"gumshoost": "Gumshoos-Totem",
	"totemgumshoos": "Gumshoos-Totem",
	"totemvikavolt": "Vikavolt-Totem",
	"vikavoltt": "Vikavolt-Totem",
	"ribombeet": "Ribombee-Totem",
	"totemribombee": "Ribombee-Totem",
	"araquanidt": "Araquanid-Totem",
	"totemaraquanid": "Araquanid-Totem",
	"lurantist": "Lurantis-Totem",
	"totemlurantis": "Lurantis-Totem",
	"salazzlet": "Salazzle-Totem",
	"totemsalazzle": "Salazzle-Totem",
	"mimikyut": "Mimikyu-Totem",
	"totemmimikyu": "Mimikyu-Totem",
	"kommoot": "Kommo-o-Totem",
	"totemkommoo": "Kommo-o-Totem",

	// cosmetic formes
	"burmygrass": "Burmy",
	"burmyplant": "Burmy",
	"burmysandy": "Burmy",
	"burmytrash": "Burmy",
	"shelloseast": "Shellos",
	"shelloswest": "Shellos",
	"gastrodone": "Gastrodon",
	"gastrodoneast": "Gastrodon",
	"gastrodoneastsea": "Gastrodon",
	"gastrodonw": "Gastrodon",
	"gastrodonwest": "Gastrodon",
	"gastrodonwestsea": "Gastrodon",
	"deerlingspring": "Deerling",
	"deerlingsummer": "Deerling",
	"deerlingautumn": "Deerling",
	"deerlingwinter": "Deerling",
	"sawsbuckspring": "Sawsbuck",
	"sawsbucksummer": "Sawsbuck",
	"sawsbuckautumn": "Sawsbuck",
	"sawsbuckwinter": "Sawsbuck",
	"vivillonarchipelago": "Vivillon",
	"vivilloncontinental": "Vivillon",
	"vivillonelegant": "Vivillon",
	"vivillongarden": "Vivillon",
	"vivillonhighplains": "Vivillon",
	"vivillonicysnow": "Vivillon",
	"vivillonjungle": "Vivillon",
	"vivillonmarine": "Vivillon",
	"vivillonmodern": "Vivillon",
	"vivillonmonsoon": "Vivillon",
	"vivillonocean": "Vivillon",
	"vivillonpolar": "Vivillon",
	"vivillonriver": "Vivillon",
	"vivillonsandstorm": "Vivillon",
	"vivillonsavanna": "Vivillon",
	"vivillonsun": "Vivillon",
	"vivillontundra": "Vivillon",
	"flabb": "Flabebe",
	"flabebered": "Flabebe",
	"flabebeblue": "Flabebe",
	"flabebeorange": "Flabebe",
	"flabebewhite": "Flabebe",
	"flabebeyellow": "Flabebe",
	"flabbred": "Flabebe",
	"flabbblue": "Flabebe",
	"flabborange": "Flabebe",
	"flabbwhite": "Flabebe",
	"flabbyellow": "Flabebe",
	"floettered": "Floette",
	"floetteblue": "Floette",
	"floetteorange": "Floette",
	"floettewhite": "Floette",
	"floetteyellow": "Floette",
	"florgesred": "Florges",
	"florgesblue": "Florges",
	"florgesorange": "Florges",
	"florgeswhite": "Florges",
	"florgesyellow": "Florges",
	"furfroudandy": "Furfrou",
	"furfroudebutante": "Furfrou",
	"furfroudiamond": "Furfrou",
	"furfrouheart": "Furfrou",
	"furfroukabuki": "Furfrou",
	"furfroulareine": "Furfrou",
	"furfroumatron": "Furfrou",
	"furfroupharaoh": "Furfrou",
	"furfroustar": "Furfrou",
	"miniorred": "Minior",
	"miniororange": "Minior",
	"minioryellow": "Minior",
	"miniorgreen": "Minior",
	"miniorblue": "Minior",
	"miniorindigo": "Minior",
	"miniorviolet": "Minior",
	"pokestargiant2": "Pokestar Giant",
	"pokestarmonica2": "Pokestar Giant",
	"pokestarufopropu1": "Pokestar UFO",
	"pokestarpropu1": "Pokestar UFO",
	"pokestarufopropu2": "Pokestar UFO-2",
	"pokestarpropu2": "Pokestar UFO-2",
	"pokestarbrycenmanprop": "Pokestar Brycen-Man",
	"pokestarproph1": "Pokestar Brycen-Man",
	"pokestarmtprop": "Pokestar MT",
	"pokestarpropm1": "Pokestar MT",
	"pokestarmt2prop": "Pokestar MT2",
	"pokestarpropm2": "Pokestar MT2",
	"pokestartransportprop": "Pokestar Transport",
	"pokestarpropt1": "Pokestar Transport",
	"pokestargiantpropo1": "Pokestar Giant",
	"pokestarpropo1": "Pokestar Giant",
	"pokestargiantpropo2": "Pokestar Giant",
	"pokestarpropo2": "Pokestar Giant",
	"pokestarhumanoidprop": "Pokestar Humanoid",
	"pokestarpropc1": "Pokestar Humanoid",
	"pokestarmonsterprop": "Pokestar Monster",
	"pokestarpropc2": "Pokestar Monster",
	"pokestarspiritprop": "Pokestar Spirit",
	"pokestarpropg1": "Pokestar Spirit",
	"pokestarblackdoorprop": "Pokestar Black Door",
	"pokestarpropw1": "Pokestar Black Door",
	"pokestarwhitedoorprop": "Pokestar White Door",
	"pokestarpropw2": "Pokestar White Door",
	"pokestarf00prop": "Pokestar F00",
	"pokestarpropr1": "Pokestar F00",
	"pokestarf002prop": "Pokestar F002",
	"pokestarpropr2": "Pokestar F002",
	"pokestarblackbeltprop": "Pokestar Black Belt",
	"pokestarpropk1": "Pokestar Black Belt",
	"giant2": "Pokestar Giant",
	"monica2": "Pokestar Giant",
	"ufopropu1": "Pokestar UFO",
	"propu1": "Pokestar UFO",
	"ufopropu2": "Pokestar UFO-2",
	"propu2": "Pokestar UFO-2",
	"brycenmanprop": "Pokestar Brycen-Man",
	"proph1": "Pokestar Brycen-Man",
	"mtprop": "Pokestar MT",
	"propm1": "Pokestar MT",
	"mt2prop": "Pokestar MT2",
	"propm2": "Pokestar MT2",
	"transportprop": "Pokestar Transport",
	"propt1": "Pokestar Transport",
	"giantpropo1": "Pokestar Giant",
	"propo1": "Pokestar Giant",
	"giantpropo2": "Pokestar Giant",
	"propo2": "Pokestar Giant",
	"humanoidprop": "Pokestar Humanoid",
	"propc1": "Pokestar Humanoid",
	"monsterprop": "Pokestar Monster",
	"propc2": "Pokestar Monster",
	"spiritprop": "Pokestar Spirit",
	"propg1": "Pokestar Spirit",
	"blackdoorprop": "Pokestar Black Door",
	"propw1": "Pokestar Black Door",
	"whitedoorprop": "Pokestar White Door",
	"propw2": "Pokestar White Door",
	"f00prop": "Pokestar F00",
	"propr1": "Pokestar F00",
	"f002prop": "Pokestar F002",
	"propr2": "Pokestar F002",
	"blackbeltprop": "Pokestar Black Belt",
	"propk1": "Pokestar Black Belt",

	// abilities
	"ph": "Poison Heal",
	"stag": "Shadow Tag",

	// items
	"assvest": "Assault Vest",
	"av": "Assault Vest",
	"band": "Choice Band",
	"cb": "Choice Band",
	"chesto": "Chesto Berry",
	"chople": "Chople Berry",
	"custap": "Custap Berry",
	"ebelt": "Expert Belt",
	"fightgem": "Fighting Gem",
	"flightgem": "Flying Gem",
	"goggles": "Safety Goggles",
	"lefties": "Leftovers",
	"leppa": "Leppa Berry",
	"lo": "Life Orb",
	"lorb": "Life Orb",
	"lum": "Lum Berry",
	"occa": "Occa Berry",
	"petaya": "Petaya Berry",
	"salac": "Salac Berry",
	"sash": "Focus Sash",
	"scarf": "Choice Scarf",
	"sitrus": "Sitrus Berry",
	"specs": "Choice Specs",
	"wp": "Weakness Policy",
	"yache": "Yache Berry",

	// pokemon
	"aboma": "Abomasnow",
	"aegi": "Aegislash",
	"aegiblade": "Aegislash-Blade",
	"aegis": "Aegislash",
	"aero": "Aerodactyl",
	"amph": "Ampharos",
	"arc": "Arceus",
	"arceusnormal": "Arceus",
	"ashgren": "Greninja-Ash",
	"azu": "Azumarill",
	"bdrill": "Beedrill",
	"bee": "Beedrill",
	"birdjesus": "Pidgeot",
	"blace": "Blacephalon",
	"bliss": "Blissey",
	"bulu": "Tapu Bulu",
	"camel": "Camerupt",
	"cathy": "Trevenant",
	"chandy": "Chandelure",
	"chomp": "Garchomp",
	"clef": "Clefable",
	"coba": "Cobalion",
	"cofag": "Cofagrigus",
	"conk": "Conkeldurr",
	"cress": "Cresselia",
	"cube": "Kyurem-Black",
	"cune": "Suicune",
	"darm": "Darmanitan",
	"dnite": "Dragonite",
	"dogars": "Koffing",
	"don": "Groudon",
	"drill": "Excadrill",
	"driller": "Excadrill",
	"dug": "Dugtrio",
	"duggy": "Dugtrio",
	"ekiller": "Arceus",
	"esca": "Escavalier",
	"ferro": "Ferrothorn",
	"fini": "Tapu Fini",
	"forry": "Forretress",
	"fug": "Rayquaza",
	"gar": "Gengar",
	"garde": "Gardevoir",
	"gatr": "Feraligatr",
	"gene": "Genesect",
	"gira": "Giratina",
	"gren": "Greninja",
	"gross": "Metagross",
	"gyara": "Gyarados",
	"hera": "Heracross",
	"hippo": "Hippowdon",
	"honch": "Honchkrow",
	"kanga": "Kangaskhan",
	"karp": "Magikarp",
	"kart": "Kartana",
	"keld": "Keldeo",
	"klef": "Klefki",
	"koko": "Tapu Koko",
	"kou": "Raikou",
	"krook": "Krookodile",
	"kyub": "Kyurem-Black",
	"kyuw": "Kyurem-White",
	"lando": "Landorus",
	"landoi": "Landorus",
	"landot": "Landorus-Therian",
	"lego": "Nihilego",
	"lele": "Tapu Lele",
	"linda": "Fletchinder",
	"luke": "Lucario",
	"lurk": "Golurk",
	"mage": "Magearna",
	"mamo": "Mamoswine",
	"mandi": "Mandibuzz",
	"mence": "Salamence",
	"milo": "Milotic",
	"morfentshusbando": "Gengar",
	"naga": "Naganadel",
	"nape": "Infernape",
	"nebby": "Cosmog",
	"obama": "Abomasnow",
	"ogre": "Kyogre",
	"ohmagod": "Plasmanta",
	"p2": "Porygon2",
	"pert": "Swampert",
	"pex": "Toxapex",
	"phero": "Pheromosa",
	"pika": "Pikachu",
	"pory2": "Porygon2",
	"poryz": "Porygon-Z",
	"pyuku": "Pyukumuku",
	"pz": "Porygon-Z",
	"queen": "Nidoqueen",
	"rachi": "Jirachi",
	"rank": "Reuniclus",
	"ray": "Rayquaza",
	"reuni": "Reuniclus",
	"sab": "Sableye",
	"sable": "Sableye",
	"scept": "Sceptile",
	"scoli": "Scolipede",
	"serp": "Serperior",
	"shao": "Mienshao",
	"skarm": "Skarmory",
	"smogon": "Koffing",
	"smogonbird": "Talonflame",
	"staka": "Stakataka",
	"steela": "Celesteela",
	"sui": "Suicune",
	"swole": "Buzzwole",
	"talon": "Talonflame",
	"tang": "Tangrowth",
	"terra": "Terrakion",
	"tflame": "Talonflame",
	"thundy": "Thundurus",
	"toed": "Politoed",
	"torn": "Tornadus",
	"tran": "Heatran",
	"ttar": "Tyranitar",
	"venu": "Venusaur",
	"viriz": "Virizion",
	"whimsi": "Whimsicott",
	"xern": "Xerneas",
	"xurk": "Xurkitree",
	"ygod": "Yveltal",
	"zam": "Alakazam",
	"zard": "Charizard",
	"zong": "Bronzong",
	"zor": "Scizor",
	"zyg": "Zygarde",

	// ultra beast codenames
	"ub01": "Nihilego",
	"ub02a": "Buzzwole",
	"ub02b": "Pheromosa",
	"ub03": "Xurkitree",
	"ub04blade": "Kartana",
	"ub04blaster": "Celesteela",
	"ub05": "Guzzlord",
	"ubburst": "Blacephalon",
	"ubassembly": "Stakataka",
	"ubadhesive": "Poipole",

	// moves
	"bb": "Brave Bird",
	"bd": "Belly Drum",
	"bpass": "Baton Pass",
	"bp": "Baton Pass",
	"cc": "Close Combat",
	"cm": "Calm Mind",
	"dbond": "Destiny Bond",
	"dd": "Dragon Dance",
	"dv": "Dark Void",
	"eq": "Earthquake",
	"espeed": "ExtremeSpeed",
	"faintattack": "Feint Attack",
	"glowpunch": "Power-up Punch",
	"hp": "Hidden Power",
	"hpbug": "Hidden Power Bug",
	"hpdark": "Hidden Power Dark",
	"hpdragon": "Hidden Power Dragon",
	"hpelectric": "Hidden Power electric",
	"hpfighting": "Hidden Power Fighting",
	"hpfire": "Hidden Power Fire",
	"hpflying": "Hidden Power Flying",
	"hpghost": "Hidden Power Ghost",
	"hpgrass": "Hidden Power Grass",
	"hpground": "Hidden Power Ground",
	"hpice": "Hidden Power Ice",
	"hppoison": "Hidden Power Poison",
	"hppsychic": "Hidden Power Psychic",
	"hprock": "Hidden Power Rock",
	"hpsteel": "Hidden Power Steel",
	"hpwater": "Hidden Power Water",
	"hjk": "High Jump Kick",
	"hijumpkick": "High Jump Kick",
	"np": "Nasty Plot",
	"pfists": "Plasma Fists",
	"playaround": "Play Rough",
	"pup": "Power-up Punch",
	"qd": "Quiver Dance",
	"rocks": "Stealth Rock",
	"sd": "Swords Dance",
	"se": "Stone Edge",
	"spin": "Rapid Spin",
	"sr": "Stealth Rock",
	"sub": "Substitute",
	"tr": "Trick Room",
	"troom": "Trick Room",
	"tbolt": "Thunderbolt",
	"tspikes": "Toxic Spikes",
	"twave": "Thunder Wave",
	"web": "Sticky Web",
	"wow": "Will-O-Wisp",

	// z-moves
	"10mv": "10,000,000 Volt Thunderbolt",
	"10mvt": "10,000,000 Volt Thunderbolt",
	"clangorous": "Clangorous Soulblaze",
	"cs": "Clangorous Soulblaze",
	"ee": "Extreme Evoboost",
	"extreme": "Extreme Evoboost",
	"genesis": "Genesis Supernova",
	"goa": "Guardian of Alola",
	"gs": "Genesis Supernova",
	"guardian": "Guardian of Alola",
	"lets": "Let's Snuggle Forever",
	"light": "Light That Burns the Sky",
	"lsf": "Let's Snuggle Forever",
	"ltbts": "Light That Burns the Sky",
	"malicious": "Malicious Moonsault",
	"menacing": "Menacing Moonraze Maelstrom",
	"mmm": "Menacing Moonraze Maelstrom",
	"moonsault": "Malicious Moonsault",
	"oceanic": "Oceanic Operetta",
	"oo": "Oceanic Operetta",
	"pp": "Pulverizing Pancake",
	"pulverizing": "Pulverizing Pancake",
	"sar": "Sinister Arrow Raid",
	"searing": "Searing Sunraze Smash",
	"sinister": "Sinister Arrow Raid",
	"ss": "Stoked Sparksurfer",
	"sss": "Searing Sunraze Smash",
	"sssss": "Soul-Stealing 7-Star Strike",
	"ss7ss": "Soul-Stealing 7-Star Strike",
	"soul": "Soul-Stealing 7-Star Strike",
	"soulstealingsevenstarstrike": "Soul-Stealing 7-Star Strike",
	"splintered": "Splintered Stormshards",
	"stoked": "Stoked Sparksurfer",
	"stormshards": "Splintered Stormshards",
	"zbug": "Savage Spin-Out",
	"zclangingscales": "Clangorous Soulblaze",
	"zdark": "Black Hole Eclipse",
	"zdarkestlariat": "Malicious Moonsault",
	"zdawnwingsnecrozma": "Menacing Moonraze Maelstrom",
	"zdecidueye": "Sinister Arrow Raid",
	"zdragon": "Devastating Drake",
	"zduskmanenecrozma": "Searing Sunraze Smash",
	"zelectric": "Gigavolt Havoc",
	"zeevee": "Extreme Evoboost",
	"zevo": "Extreme Evoboost",
	"zfairy": "Twinkle Tackle",
	"zflying": "Supersonic Skystrike",
	"zfighting": "All-Out Pummeling",
	"zfire": "Inferno Overdrive",
	"zghost": "Never-Ending Nightmare",
	"zgigaimpact": "Pulverizing Pancake",
	"zgrass": "Bloom Doom",
	"zground": "Tectonic Rage",
	"zice": "Subzero Slammer",
	"zincineroar": "Malicious Moonsault",
	"zkommoo": "Clangorous Soulblaze",
	"zlastresort": "Extreme Evoboost",
	"zlunala": "Menacing Moonraze Maelstrom",
	"zlycanroc": "Splintered Stormshards",
	"znaturesmadness": "Guardian of Alola",
	"zmarshadow": "Soul-Stealing 7-Star Strike",
	"zmew": "Genesis Supernova",
	"zmimikyu": "Let's Snuggle Forever",
	"zmoongeistbeam": "Menacing Moonraze Maelstrom",
	"znecrozma": "Light That Burns the Sky",
	"znormal": "Breakneck Blitz",
	"zrock": "Continental Crush",
	"zphotongeyser": "Light That Burns the Sky",
	"zpikachu": "Catastropika",
	"zpikachucap": "10,000,000 Volt Thunderbolt",
	"zplayrough": "Let's Snuggle Forever",
	"zpoison": "Acid Downpour",
	"zprimarina": "Oceanic Operetta",
	"zpsychic": "Shattered Psyche",
	"zraichu": "Stoked Sparksurfer",
	"zsnorlax": "Pulverizing Pancake",
	"zsolgaleo": "Searing Sunraze Smash",
	"zsparklingaria": "Oceanic Operetta",
	"zspectralthief": "Soul-Stealing 7-Star Strike",
	"zspiritshackle": "Sinister Arrow Raid",
	"zsunsteelstrike": "Searing Sunraze Smash",
	"zsteel": "Corkscrew Crash",
	"zstoneedge": "Splintered Stormshards",
	"ztapu": "Guardian of Alola",
	"zthunderbolt": "10,000,000 Volt Thunderbolt",
	"zultranecrozma": "Light That Burns the Sky",
	"zvolttackle": "Catastropika",
	"zwater": "Hydro Vortex",

	// Japanese names
	"birijion": "Virizion",
	"terakion": "Terrakion",
	"agirudaa": "Accelgor",
	"randorosu": "Landorus",
	"urugamosu": "Volcarona",
	"erufuun": "Whimsicott",
	"doryuuzu": "Excadrill",
	"burungeru": "Jellicent",
	"nattorei": "Ferrothorn",
	"shandera": "Chandelure",
	"roobushin": "Conkeldurr",
	"ononokusu": "Haxorus",
	"sazandora": "Hydreigon",
	"chirachiino": "Cinccino",
	"kyuremu": "Kyurem",
	"jarooda": "Serperior",
	"zoroaaku": "Zoroark",
	"shinboraa": "Sigilyph",
	"barujiina": "Mandibuzz",
	"rankurusu": "Reuniclus",
	"borutorosu": "Thundurus",
	// there's no need to type out the other Japanese names
	// I'll autogenerate them at some point
};

exports.BattleAliases = BattleAliases;
